Runtime

## org.eclipse.gmf.runtime.diagram.ui.services.layout
Interface ILayoutNode

public interface ILayoutNode

Interface that wraps the Node view in order to retrieve the size when the Node's extent (either width or height) have been autosized. This interface can be used in the layout provider implementation class. IMPORTANT: This interface is not intended to be implemented by clients. New methods may be added in the future.

Method Summary
`int` `getHeight()` Accessor method to return the actual height of the node irrespective of whether the Nodes extent (width/height) is in auto-size mode.
`Node` `getNode()` Accessor method to return the notation meta-model `Node` object.
`int` `getWidth()` Accessor method to return the actual width of the node irrespective of whether the Nodes extent (width/height) is in auto-size mode.

Method Detail

### getNode

    public Node getNode()

  Accessor method to return the notation meta-model `Node` object.

  Returns:
    `Node` that this interface object wraps

### getHeight

    public int getHeight()

  Accessor method to return the actual height of the node irrespective of whether the Nodes extent (width/height) is in auto-size mode.

  Returns:
    `int` value representing the actual height of the `Node`.

### getWidth

    public int getWidth()

  Accessor method to return the actual width of the node irrespective of whether the Nodes extent (width/height) is in auto-size mode.

  Returns:
    `int` value representing the actual width of the `Node`.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.